Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.apache.html.dom
Class HTMLAreaElementImpl

    java.lang.Object
      weblogic.apache.xerces.dom.NodeImpl
          weblogic.apache.xerces.dom.ChildNode
              weblogic.apache.xerces.dom.ParentNode
                  weblogic.apache.xerces.dom.ElementImpl
                      weblogic.apache.html.dom.HTMLElementImpl
                          weblogic.apache.html.dom.HTMLAreaElementImpl

All Implemented Interfaces:
  Serializable, Cloneable, Element, EventTarget, org.w3c.dom.html.HTMLAreaElement, org.w3c.dom.html.HTMLElement, Node, NodeList

Deprecated. 9.2.0.0 Replaced by org.apache.html.dom.HTMLAreaElementImpl.

    public class HTMLAreaElementImpl

extends HTMLElementImpl
implements org.w3c.dom.html.HTMLAreaElement

See Also:
  `HTMLAreaElement`, `ElementImpl`, Serialized Form

Field Summary

Fields inherited from class weblogic.apache.xerces.dom.ElementImpl
`attributes, name`

Fields inherited from class weblogic.apache.xerces.dom.ParentNode
`firstChild, fNodeListCache, ownerDocument`

Fields inherited from class weblogic.apache.xerces.dom.ChildNode
`nextSibling, previousSibling`

Fields inherited from class weblogic.apache.xerces.dom.NodeImpl
`ELEMENT_DEFINITION_NODE, FIRSTCHILD, flags, HASSTRING, IDATTRIBUTE, IGNORABLEWS, OWNED, ownerNode, READONLY, SPECIFIED, SYNCCHILDREN, SYNCDATA, TREE_POSITION_ANCESTOR, TREE_POSITION_DESCENDANT, TREE_POSITION_DISCONNECTED, TREE_POSITION_EQUIVALENT, TREE_POSITION_FOLLOWING, TREE_POSITION_PRECEDING, TREE_POSITION_SAME_NODE, UNNORMALIZED`

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Constructor Summary
`HTMLAreaElementImpl(HTMLDocumentImpl owner, String name)` Deprecated. Constructor requires owner document.

Method Summary
`String` | `getAccessKey()` Deprecated.
`String` | `getAlt()` Deprecated.
`String` | `getCoords()` Deprecated.
`String` | `getHref()` Deprecated.
`boolean` | `getNoHref()` Deprecated.
`String` | `getShape()` Deprecated.
`int` | `getTabIndex()` Deprecated.
`String` | `getTarget()` Deprecated.
`void` | `setAccessKey(String accessKey)` Deprecated.
`void` | `setAlt(String alt)` Deprecated.
`void` | `setCoords(String coords)` Deprecated.
`void` | `setHref(String href)` Deprecated.
`void` | `setNoHref(boolean noHref)` Deprecated.
`void` | `setShape(String shape)` Deprecated.
`void` | `setTabIndex(int tabIndex)` Deprecated.
`void` | `setTarget(String target)` Deprecated.

Methods inherited from class weblogic.apache.html.dom.HTMLElementImpl
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getClassName, getDir, getElementsByTagName, getElementsByTagNameNS, getForm, getId, getLang, getTitle, setClassName, setDir, setId, setLang, setTitle`

Methods inherited from class weblogic.apache.xerces.dom.ElementImpl
`cloneNode, getAttributes, getBaseURI, getDefaultAttributes, getNodeName, getNodeType, getTagName, hasAttribute, hasAttributeNS, hasAttributes, isEqualNode, normalize, reconcileDefaultAttributes, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setIdAttributeNode, setReadOnly, setupDefaultAttributes, setXercesAttributeNode, synchronizeData`

Methods inherited from class weblogic.apache.xerces.dom.ParentNode
`getChildNodes, getChildNodesUnoptimized, getFirstChild, getLastChild, getLength, getOwnerDocument, getTextContent, hasChildNodes, insertBefore, item, removeChild, replaceChild, setTextContent, synchronizeChildren`

Methods inherited from class weblogic.apache.xerces.dom.ChildNode
`getNextSibling, getParentNode, getPreviousSibling`

Methods inherited from class weblogic.apache.xerces.dom.NodeImpl
`addEventListener, appendChild, changed, changes, compareTreePosition, dispatchEvent, getAttributes, getBaseURI, getInterface, getLocalName, getNamespaceURI, getNodeName, getNodeValue, getOwnerDocument, getPrefix, getReadOnly, getTextContent, getUserData, getUserData, hasAttributes, hasChildNodes, insertBefore, isDefaultNamespace, isSameNode, isSupported, lookupNamespacePrefix, lookupNamespaceURI, needsSyncChildren, removeEventListener, replaceChild, setNodeValue, setPrefix, setUserData, setUserData, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.w3c.dom.html.HTMLElement
`getClassName, getDir, getId, getLang, getTitle, setClassName, setDir, setId, setLang, setTitle`

Methods inherited from interface org.w3c.dom.Element
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getElementsByTagName, getElementsByTagNameNS, getSchemaTypeInfo, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setIdAttribute, setIdAttributeNode, setIdAttributeNS`

Methods inherited from interface org.w3c.dom.Node
`appendChild, cloneNode, compareDocumentPosition, getAttributes, getBaseURI, getChildNodes, getFeature, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getTextContent, getUserData, hasAttributes, hasChildNodes, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, normalize, removeChild, replaceChild, setNodeValue, setPrefix, setTextContent, setUserData`

Constructor Detail

### HTMLAreaElementImpl

    public HTMLAreaElementImpl(HTMLDocumentImpl owner,
                               String name)

  Deprecated.
  Constructor requires owner document.

  Parameters:
    `owner` - The owner HTML document

Method Detail

### getAccessKey

    public String getAccessKey()

  Deprecated.
  Specified by:
    `getAccessKey` in interface `org.w3c.dom.html.HTMLAreaElement`

### setAccessKey

    public void setAccessKey(String accessKey)

  Deprecated.
  Specified by:
    `setAccessKey` in interface `org.w3c.dom.html.HTMLAreaElement`

### getAlt

    public String getAlt()

  Deprecated.
  Specified by:
    `getAlt` in interface `org.w3c.dom.html.HTMLAreaElement`

### setAlt

    public void setAlt(String alt)

  Deprecated.
  Specified by:
    `setAlt` in interface `org.w3c.dom.html.HTMLAreaElement`

### getCoords

    public String getCoords()

  Deprecated.
  Specified by:
    `getCoords` in interface `org.w3c.dom.html.HTMLAreaElement`

### setCoords

    public void setCoords(String coords)

  Deprecated.
  Specified by:
    `setCoords` in interface `org.w3c.dom.html.HTMLAreaElement`

### getHref

    public String getHref()

  Deprecated.
  Specified by:
    `getHref` in interface `org.w3c.dom.html.HTMLAreaElement`

### setHref

    public void setHref(String href)

  Deprecated.
  Specified by:
    `setHref` in interface `org.w3c.dom.html.HTMLAreaElement`

### getNoHref

    public boolean getNoHref()

  Deprecated.
  Specified by:
    `getNoHref` in interface `org.w3c.dom.html.HTMLAreaElement`

### setNoHref

    public void setNoHref(boolean noHref)

  Deprecated.
  Specified by:
    `setNoHref` in interface `org.w3c.dom.html.HTMLAreaElement`

### getShape

    public String getShape()

  Deprecated.
  Specified by:
    `getShape` in interface `org.w3c.dom.html.HTMLAreaElement`

### setShape

    public void setShape(String shape)

  Deprecated.
  Specified by:
    `setShape` in interface `org.w3c.dom.html.HTMLAreaElement`

### getTabIndex

    public int getTabIndex()

  Deprecated.
  Specified by:
    `getTabIndex` in interface `org.w3c.dom.html.HTMLAreaElement`

### setTabIndex

    public void setTabIndex(int tabIndex)

  Deprecated.
  Specified by:
    `setTabIndex` in interface `org.w3c.dom.html.HTMLAreaElement`

### getTarget

    public String getTarget()

  Deprecated.
  Specified by:
    `getTarget` in interface `org.w3c.dom.html.HTMLAreaElement`

### setTarget

    public void setTarget(String target)

  Deprecated.
  Specified by:
    `setTarget` in interface `org.w3c.dom.html.HTMLAreaElement`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD